{
  "id": "2ea0df04aec4bc8006e9a923",
  "source": "go:encoding/json",
  "type": "go-type",
  "title": "json.type InvalidUTF8Error",
  "content": "# type json.type InvalidUTF8Error\n            deprecated\n\n```\ntype InvalidUTF8Error struct {\n\tS string // the whole string value that caused the error\n}\n```\n\nBefore Go 1.2, an InvalidUTF8Error was returned by Marshal when\nattempting to encode a string value with invalid UTF-8 sequences.\nAs of Go 1.2, Marshal instead coerces the string to valid UTF-8 by\nreplacing invalid bytes with the Unicode replacement rune U+FFFD.",
  "url": "https://pkg.go.dev/encoding/json#type InvalidUTF8Error\n            deprecated",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/encoding/json",
    "kind": "type",
    "method_count": 0,
    "package": "json",
    "symbol": "type InvalidUTF8Error\n            deprecated",
    "type_kind": "alias",
    "underlying": "type InvalidUTF8Error struct {\n\tS string // the whole string value that caused the error\n}"
  },
  "hash": "7734e371cd9170a9e3e9f46be1b098e523130b22d7fd5cfbcd93dce0451240d9",
  "timestamp": "2026-02-23T11:22:10.080654092+01:00"
}